Bug 961517 - Behavior of My Account link in User menu is not consistent.
Behavior of My Account link in User menu is not consistent.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Walden Raines
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 15:34 EDT by bmorriso
Modified: 2014-04-24 13:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bmorriso 2013-05-09 15:34:29 EDT
Description of problem:
The "My Account" menu item in the right user menu leads to the details tab for 
the current user. Once there, if the "My Account" menu item is clicked again, 
it leads to the Users page with no user selected.

Version-Release number of selected component (if applicable):
1.4.2-1.git.222.82e7958.el6

How reproducible:
always

Steps to Reproduce:
1. Login to katello instance 
2. Mouse over dropdown menu in top-right corner
3. Click on "My Account" link in the dropdown list.
4. Repeat steps 2-3
  
Actual results:
When you first click the My Account link, you go to the details tab
of your current user. When you click the second time, you
go to the Users management page no user selected.


Expected results:
The My Account menu item should link to the details tab both times it is clicked.

Additional info:
Comment 1 Walden Raines 2013-05-29 14:08:00 EDT
https://github.com/Katello/katello/pull/2388
Comment 2 Walden Raines 2013-05-30 09:57:05 EDT
commit 2b0e9fe3bd11ee9c286034afdd2af4bc0a352f18
Merge: 2ff1533 5eb08bf
Author: Walden Raines <walden@redhat.com>
Date:   Thu May 30 05:01:55 2013 -0700

    Merge pull request #2388 from waldenraines/961517
    
    961517 - fix order of params so account page always displays.

commit 5eb08bf43948952559adb8676570fe427f2e772e
Author: Walden Raines <walden@redhat.com>
Date:   Wed May 29 14:04:42 2013 -0400

    961517 - fix order of params so account page always displays.
Comment 5 Corey Welton 2013-09-23 14:17:51 EDT
this appears to be fixed in latest build.  QA verified.

Satellite-6.0.2-RHEL-6-20130919.0
Comment 6 Bryan Kearney 2014-04-24 13:09:57 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 7 Bryan Kearney 2014-04-24 13:11:20 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.